From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 5 September 2012<P>

Man it's quiet around here! Guess I need to get in gear and make a new Blender!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 5 September 2012<P>

Star of David, about <a href="/blend/wv.cgi?id=2012.09.05.02.32.9350">Plastic Jesus</a><BR>
<BR>
Amazing, I think this should be on a billboard somewhere advertizing something or another. (i love it)<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=517">musicalduck</a><BR>
Date: 5 September 2012<P>

I'm sorry I'm not always around to congratulate everyone on their front page picks. Nor do I comment much on other's poems. I've been trying to stay active. Most of time I post when I'm about to go to bed. I will try to start reading more.
<HR>